export function activityStatusStyle(type, s) {
  let style = {
    width: 'fit-content',
    'line-height': '14px',
    'font-size': '12px',
    display: 'inline-block',
    ...s,
  };
  if (['full_reduce', 'full_discount', 'full_gift', 'free_shipping'].includes(type)) {
    style = {
      ...style,
      background: 'rgba(250, 173, 20, 0.16)',
      color: '#FAAD14',
    };
  } else if (['groupon', 'groupon_ladder'].includes(type)) {
    style = {
      ...style,
      background: 'var(--t-bg-active)',
      color: 'var(--el-color-primary)',
    };
  } else if (['seckill'].includes(type)) {
    style = {
      ...style,
      background: 'rgba(255, 77, 79, 0.16)',
      color: '#FF4D4F',
    };
  }

  return style;
}
